# Products

### Request

```bash
curl -X GET "{domain}/api/products?page=1&limit=100" \
-H "Access-Token: {access_token}"
```

### Parameters

<table><thead><tr><th width="162">Name</th><th width="150">Type</th><th width="150">Required</th><th>Description</th></tr></thead><tbody><tr><td>page</td><td>int</td><td>true</td><td>page number</td></tr><tr><td>limit</td><td>int</td><td>true</td><td>count items per page</td></tr><tr><td>collection_id</td><td>int</td><td>false</td><td>used to fetch only products related to this collection</td></tr></tbody></table>

### Response

```json
{
    "data": [
        {
            "id": 632910392,
            "title": "IPod Nano - 8GB",
            "content": "<p>It's the small iPod with one very big idea: Video. Now the world's most popular music player, available in 4GB and 8GB models, lets you enjoy TV shows, movies, video podcasts, and more. The larger, brighter display means amazing picture quality. In six eye-catching colors, iPod nano is stunning all around. And with models starting at just $149, little speaks volumes.</p>",
            "vendor": "Apple",
            "created_at": "2021-10-01T16:42:46-04:00",
            "handle": "ipod-nano",
            "updated_at": "2021-10-01T16:42:46-04:00",
            "published_at": "2007-12-31T19:00:00-05:00",
            "available": true,
            "tags": "Emotive, Flash Memory, MP3, Music",
            "variants": [
                {
                    "id": 808950810,
                    "product_id": 632910392,
                    "title": "Pink",
                    "price": "199.00",
                    "sku": "IPOD2008PINK",
                    "position": 1,
                    "compare_at_price": null,
                    "created_at": "2021-10-01T16:42:46-04:00",
                    "updated_at": "2021-10-01T16:42:46-04:00",
                    "barcode": "1234_pink",
                    "grams": 567,
                    "image_id": 562641783,
                    "weight": 1.25,
                    "weight_unit": "lb",
                    "inventory_quantity": 10
                },
                {
                    "id": 49148385,
                    "product_id": 632910392,
                    "title": "Red",
                    "price": "199.00",
                    "sku": "IPOD2008RED",
                    "position": 2,
                    "compare_at_price": null,
                    "created_at": "2021-10-01T16:42:46-04:00",
                    "updated_at": "2021-10-01T16:42:46-04:00",
                    "barcode": "1234_red",
                    "grams": 567,
                    "image_id": null,
                    "weight": 1.25,
                    "weight_unit": "lb",
                    "inventory_quantity": 20
                }
            ],
            "options": [
                {
                    "id": 594680422,
                    "product_id": 632910392,
                    "name": "Color",
                    "position": 1,
                    "values": [
                        "Pink",
                        "Red"
                    ]
                }
            ],
            "images": [
                {
                    "id": 850703190,
                    "product_id": 632910392,
                    "position": 1,
                    "created_at": "2021-10-01T16:42:46-04:00",
                    "updated_at": "2021-10-01T16:42:46-04:00",
                    "alt": null,
                    "width": 123,
                    "height": 456,
                    "src": "https://cdn.shopify.com/s/files/1/0006/9093/3842/products/ipod-nano.png?v=1633120966",
                    "variant_ids": []
                },
                {
                    "id": 562641783,
                    "product_id": 632910392,
                    "position": 2,
                    "created_at": "2021-10-01T16:42:46-04:00",
                    "updated_at": "2021-10-01T16:42:46-04:00",
                    "alt": null,
                    "width": 123,
                    "height": 456,
                    "src": "https://cdn.shopify.com/s/files/1/0006/9093/3842/products/ipod-nano-2.png?v=1633120966",
                    "variant_ids": [
                        808950810
                    ]
                }
            ],
            "image": "https://cdn.shopify.com/s/files/1/0006/9093/3842/products/ipod-nano.png?v=1633120966"
        }
    ],
    "total": 1000,
    "per_page": 100,
    "current_page": 1,
    "last_page": 10,
    "from": 1,
    "to": 100
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.converted.in/loyalty-and-pos-integration/products.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
